int main() {
    int x = 0;
    int y = 1;
    while (x <= y) {
        if (x > y) {
            x += 1;
        } else if (x == y) {
            x += y;
        } else if (x < y) {
            y += 1;
        } else {
            return 0;
        }
    }
}